<?php 
require_once 'vendor/autoload.php'; 
include 'DeviceDetector.php';
use DeviceDetector\DeviceDetector;
use DeviceDetector\Parser\Device\DeviceParserAbstract;

//var_dump($argv);
// OPTIONAL: Set version truncation to none, so full versions will be returned
// By default only minor versions will be returned (e.g. X.Y)
// for other options see VERSION_TRUNCATION_* constants in DeviceParserAbstract class
DeviceParserAbstract::setVersionTruncation(DeviceParserAbstract::VERSION_TRUNCATION_NONE);
$dd = new DeviceDetector($argv[1]);

//echo $ua;

// OPTIONAL: Set caching method
// By default static cache is used, which works best within one php process (memory array caching)
// To cache across requests use caching in files or memcache
//$dd->setCache(new Doctrine\Common\Cache\PhpFileCache('./tmp/'));

// OPTIONAL: If called, getBot() will only return true if a bot was detected  (speeds up detection a bit)
//$dd->discardBotInformation();

// OPTIONAL: If called, bot detection will completely be skipped (bots will be detected as regular devices then)
$dd->skipBotDetection();

$dd->parse();

  $clientInfo = $dd->getClient(); // holds information about browser, feed reader, media player, ...
  $osInfo = $dd->getOs();
  $device = $dd->getDevice();
  $brand = $dd->getBrand();
  $model = $dd->getModel();

//We only Output if there is useful Information

$UsefulInfo =(is_array($clientInfo) and is_array($osInfo)) and (array_key_exists("type",$clientInfo) or 
	array_key_exists("name",$clientInfo) or
	array_key_exists("short_name",$clientInfo) or
	array_key_exists("version",$clientInfo) or
	array_key_exists("platform",$clientInfo) or
	array_key_exists("name",$osInfo) or
	array_key_exists("short_name",$osInfo) or
	array_key_exists("version",$osInfo) or
	array_key_exists("platform",$osInfo) or
	$brand or $model);

if ($UsefulInfo)
{
	echo $argv[1]; 
	echo "^";
	if(array_key_exists("type",$clientInfo)) {echo $clientInfo["type"];}
	echo "^";
	if(array_key_exists("name",$clientInfo)) {echo $clientInfo["name"];}
	echo "^";
	if(array_key_exists("short_name",$clientInfo)) {echo $clientInfo["short_name"];}
	echo "^";
	if(array_key_exists("version",$clientInfo)) {echo $clientInfo["version"];}
	echo "^";
	if(array_key_exists("platform",$clientInfo)) {echo $clientInfo["platform"];}
	echo "^";
	if(array_key_exists("name",$osInfo)) {echo $osInfo["name"];}
	echo "^";
	if(array_key_exists("short_name",$osInfo)) {echo $osInfo["short_name"];}
	echo "^";
	if(array_key_exists("version",$osInfo)) {echo $osInfo["version"];}
	echo "^";
	if(array_key_exists("platform",$osInfo)) {echo $osInfo["platform"];}
	echo "^";
	echo $brand; 
	echo "^";
	echo $model;
	echo "\r\n";
}

 ?>
